# OnnxRuntime: Ort::detail::SequenceTypeInfoImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::SequenceTypeInfoImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::SequenceTypeInfoImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

TypeInfo | GetSequenceElementType () const
| Wraps OrtApi::GetSequenceElementType.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::SequenceTypeInfoImpl< T >::B = Base<T>

## Member Function Documentation

## GetSequenceElementType()

template<typename T >

TypeInfo Ort::detail::SequenceTypeInfoImpl< T >::GetSequenceElementType | ( |  | ) | const

Wraps OrtApi::GetSequenceElementType.